=== debian/changelog ===
tigervnc (1.2.0+X1.12.4-1~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 25 Mar 2013 09:43:15 -0400

tigervnc (1.2.0+X1.12.4-1) unstable; urgency=low

  [ Joachim Falk ]
  * Updated xorg-server to 2:1.12.4-5
  * Support new git wich uses a .git file for submodules instead of .git
    directory
  * Switched to using --create-empty-orig instead of empty pristine-tar

  [ Yaroslav Halchenko ]
  * debian/copyright:
    - Extended to include missing entries
  * debian/README.source
    - Listed the reason to ship/use FLTK library

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Mar 2013 09:14:23 -0400

tigervnc (1.2.0+X1.12.1.902-2) UNRELEASED; urgency=low

  * debian/copyright:
    - Fixed "Format" field for DEP5
    - Slight tune ups for MIT/X11 license keywords
  * debian/gbp.conf
    - added 'submodules = True' so git-buildpackage works out-of-the-git-tree
  * debian/control
    - added myself to uploaders

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Mar 2013 10:55:25 -0500

tigervnc (1.2.0+X1.12.1.902-1) UNRELEASED; urgency=low

  [ Joachim Falk ]
  * Switched to xorg-server used in debian unstable
  * Updated get-orig-source to get pristine-tar info for xorg-server
    from pkg-tigervnc git.
  * Switched debian/xserver.patch to use patch for xorg 110
  * Updated build dependencies in debian/control to conform to the
    xorg-server used in debian unstable
  * Droped patch that got accepted by Xorg upstream:
    0002-xorg-fix-compilation-with-werror-int-to-pointer-cast.patch

  [ Mike Gabriel ]
  * Droped patch that got accepted by Xorg upstream:
    0903-Add-RH-patch-tigervnc11-rh628054-xorg.patch-which-fi.patch
  * Move README.txt to debian/README.source (cf. Debian policy 4.14).
  * Bump standards version to 3.9.3.

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 29 Jun 2012 20:15:27 +0200

tigervnc (1.2.0+X1.7.7-1) UNRELEASED; urgency=low

  [ Joachim Falk ]
  * Fixup built problem with -Werror=format-security
  * Changed pkg version to also include xserver upstream version
  * Switched to 3.0 (quilt) source format
  * Build autogenerated sources fb.h pixman.h fbrop.h in builddir
  * Make no backup files for patches to enable clean unapply without
    .orig files remaining
  * Moved xorg-autoreconf.sh and xserver.patch symlink into debian dir
  * Added missing cmake, pristine-tar, libjpeg-dev build dependencies
  * Removed unneeded fltk build dependency
  * Improved reverse-patches-deautoreconf target in debian/rules
  * Added patches for TigerVNC 1.2.0 from archlinux
    - 0800-archlinux-fixup-gnutls.patch fixes a wrong config check
    - 0898-archlinux-xorg111.patch enables use of xorg server 1.11
    - 0899-archlinux-xorg112.patch enables use of xorg server 1.12
  * Fix spelling error in manpage to shutup lintian
  * Fix spelling error in xorg server to shutup lintian
  * Add homepage field to control to shutup lintian
  * Fix copyright file to shutup lintian
  * Ported over patch for tcpwrappers support from TigerVNC 1.0.90
  * Turn on GnuTLS, PAM, and i18n support via gettext

  [ Mike Gabriel ]
  * Add Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to uploaders.
  * Add libxft-dev as build-dependency.
  * Add libxcursor-dev as build-dependency.
  * Fix lintian issue: maintainer-also-in-uploaders.
  * Fix lintian issue: missing-build-dependency-for-dh_-command dh_autoreconf
    => dh-autoreconf.
  * Fix Vcs-Git: and Vcs-Browser: in /debian/control.
  * Build-depend on debhelper (>= 8).
  * Create stampdir before patch Xorg tree.
  * Add patch: 0002-xorg-fix-compilation-with-werror-int-to-pointer-cast.patch
  * tigervnc-common: split up dh_install into install, manpages and docs.
  * Other binary packages: handle manpages by dh_manpages.

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 06 Jul 2012 23:52:54 +0200

tigervnc (1.2.0-1) stable; urgency=low

  * Updated to tigervnc 1.2.0

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 06 Apr 2012 14:25:22 +0200

tigervnc (1.1.90-1) stable; urgency=low

  * Updated to tigervnc 1.1.90
  * Updated to xorg-server (2:1.7.7-14) squeeze

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 05 Apr 2012 19:36:26 +0200

tigervnc (1.1.0-2jf) stable; urgency=low

  * Added RH patch tigervnc11-ldnow.patch disabling lazy symbol resolution for libvnc.so

  * Added RH patch tigervnc11-rh690245.patch which add TLS encryption to VeNCrypt
    
      TigerVNC (Xvnc, x0vncserver, the libvnc.so module, and vncviewer) now
      supports TLS encryption (using VeNCrypt) which allows TLS encrypted
      communication between a server and a viewer. (BZ#653491)

  * Added RH patch tigervnc11-rh588342.patch which fixes EQ overflowing bug.
    
      Xvnc could become unresponsive and the following error message was shown
      in the log: "[mi] EQ overflowing. The server is probably stuck in an
      infinite loop.". This was caused by a large number of user input events
      in the Xvnc event queue, which were being processed too slowly. With
      this update, this issue no longer occurs and the system works as
      expected. (BZ#588342)

  * Add RH patch tigervnc11-rh628054-xorg.patch which fixes vmware keyboard interaction bug.
    
      Prior to this update, Xvnc (the X VNC server; part of the tigervnc
      package) did not pass keyboard input to a remote VMware workstation
      because it did not take into account types of keyboards which do not
      have modifier keys. With this update, Xvnc recognizes all types of
      keyboards; thus, keyboard input is correctly passed to remote VMware
      workstations. (BZ#628054)

  * Add RH patch tigervnc11-rh645755.patch fix signal interrupted read
    

