=== debian/control ===
Source: tigervnc
Section: x11
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Joachim Falk <joachim.falk@gmx.de>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Yaroslav Halchenko <debian@onerussian.com>
# all the Build-Depends up to x11proto-xf86-dri-dev are for the normal Xorg
# server, and common dependencies for the DIX.
# x11proto-xf86dri-dev and libdrm-dev are for DRI support for the Xorg server.
# x11proto-print-dev and libfreetype6-dev are for Xprint
# everything on is for the DMX and Xnest servers.
Build-Depends:
 cdbs (>= 0.4.89),
 dh-autoreconf,
 cmake (>= 2.8),
 pristine-tar,
 gettext,
 zlib1g-dev,
 libjpeg-dev,
 libgnutls-dev,
 libpam0g-dev,
 libxft-dev,
 libxcursor-dev,
 libwrap0-dev,
# this are dependencies from xorg deb
 debhelper (>= 8),
 quilt,
 lsb-release,
 pkg-config,
 bison,
 flex,
 automake,
 libtool,
 xutils-dev (>= 1:7.6+4),
 xfonts-utils (>= 1:7.5+1),
 x11proto-bigreqs-dev (>= 1:1.1.0),
 x11proto-composite-dev (>= 1:0.4),
 x11proto-core-dev (>= 7.0.22),
 x11proto-damage-dev (>= 1.1),
 x11proto-fixes-dev (>= 1:5.0),
 x11proto-kb-dev (>= 1.0.3),
 x11proto-xinerama-dev,
 x11proto-randr-dev (>= 1.2.99.3),
 x11proto-record-dev (>= 1.13.99.1),
 x11proto-render-dev (>= 2:0.11),
 x11proto-resource-dev,
 x11proto-scrnsaver-dev,
 x11proto-video-dev,
 x11proto-xcmisc-dev (>= 1.2.0),
 x11proto-xext-dev (>= 7.1.99),
 x11proto-xf86bigfont-dev (>= 1.2.0),
 x11proto-xf86dga-dev (>= 2.0.99.1),
 x11proto-xf86vidmode-dev (>= 2.2.99.1),
 xtrans-dev (>= 1.2.2),
 libxau-dev (>= 1:1.0.5-2),
 x11proto-input-dev (>= 2.1.99.6),
 x11proto-dri2-dev (>= 2.6),
 libxdmcp-dev (>= 1:0.99.1),
 libxfont-dev (>= 1:1.4.2),
 libxkbfile-dev (>= 1:0.99.1),
 libpixman-1-dev (>= 0.21.8),
 libpciaccess-dev (>= 0.12.901),
 libgcrypt-dev,
 nettle-dev,
 libdbus-1-dev [kfreebsd-any],
 libhal-dev [kfreebsd-any],
 libudev-dev (>= 151-3) [linux-any],
 libselinux1-dev (>= 2.0.80) [linux-any],
 libaudit-dev [linux-any],
 x11proto-xf86dri-dev (>= 2.1.0),
 libdrm-dev (>= 2.4.3) [!hurd-i386],
 x11proto-gl-dev (>= 1.4.14),
 mesa-common-dev (>= 7.8),
 libgl1-mesa-dev (>= 7.8),
 libxmuu-dev (>= 1:0.99.1),
 libxext-dev (>= 1:0.99.1),
 libx11-dev (>= 1:0.99.2),
 libxrender-dev (>= 1:0.9.0),
 libxi-dev (>= 2:1.2.99.1),
 x11proto-dmx-dev (>= 1:2.2.99.1),
 libdmx-dev (>= 1:1.0.1),
 libxpm-dev (>= 1:3.5.3),
 libxaw7-dev (>= 1:0.99.1),
 libxt-dev (>= 1:0.99.1),
 libxmu-dev (>= 1:0.99.1),
 libxtst-dev (>= 1:0.99.1),
 libxres-dev (>= 1:0.99.1),
 libxfixes-dev (>= 1:3.0.0),
 libxv-dev,
 libxinerama-dev,
# unit tests
 xkb-data,
 x11-xkb-utils,
# getpeereid()
 libbsd-dev [kfreebsd-any],
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-tigervnc/pkg-tigervnc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-tigervnc/pkg-tigervnc.git 
Homepage: http://www.tigervnc.org

Package: tigervnc-common
Architecture: any
Depends: neurodebian-popularity-contest, 
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts:
 tigervnc-server (<< 1.1.90),
 tigervnc-viewer (<< 1.1.90)
Description: Virtual network computing; Common software needed by clients and servers
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides the common
 software for both client and server.

Package: tigervnc-scraping-server
Architecture: any
Depends: neurodebian-popularity-contest, 
 xserver-common (>= 2:1.7.7),
 keyboard-configuration [linux-any kfreebsd-any],
 udev (>= 149) [linux-any],
 tigervnc-common,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Provides:
 vnc-server,
 ${videoabi},
 ${inputabi}
Replaces: tigervnc-server (<< 1.1.90)
Breaks: tigervnc-server (<< 1.1.90)
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This package provides a vncserver which uses screen scraping of an already
 running X server to provide its VNC desktop. The VNC desktop can be viewed
 by any vncviewer even on other operating systems.
 .
 Note: If you only want to scrap your local X11 server, you should consider
 the tigervnc-xorg-extension package. This package provides the vnc extension
 for your local X11 server. The usage of this extension is more efficient
 than a scraping vnc server.

Package: tigervnc-standalone-server
Architecture: any
Depends: neurodebian-popularity-contest, 
 xserver-common (>= 2:1.7.7),
 keyboard-configuration [linux-any kfreebsd-any],
 udev (>= 149) [linux-any],
 tigervnc-common,
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Provides:
 vnc-server,
 ${videoabi},
 ${inputabi}
Replaces: tigervnc-server (<< 1.1.90)
Breaks: tigervnc-server (<< 1.1.90)
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This package provides a standalone vncserver to which X clients can connect.
 The server generates a display that can be viewed with a vncviewer.
 .
 Note: This server does not need a display. You need a vncviewer to see
 something. This viewer may also be on a computer running other operating
 systems.

Package: tigervnc-xorg-extension
Architecture: any
Depends: neurodebian-popularity-contest, 
 xserver-common (>= 2:1.7.7),
 keyboard-configuration [linux-any kfreebsd-any],
 udev (>= 149) [linux-any],
 tigervnc-common,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Provides:
 vnc-server,
 vnc-xorg-extension,
 ${videoabi},
 ${inputabi}
Replaces: tigervnc-server (<< 1.1.90)
Breaks: tigervnc-server (<< 1.1.90)
Description: Virtual network computing server software
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It contains an X server connector so clients can connect to your local X
 desktop directly.

Package: tigervnc-viewer
Architecture: any
Depends: neurodebian-popularity-contest, 
 xserver-common (>= 2:1.7.7),
 tigervnc-common,
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 vnc-viewer
Description: Virtual network computing client software for X
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides a vncclient
 for X, with this you can connect to a vncserver somewhere in the network
 and display its content in a window. There are vncservers available for other
 operating systems.
