## tigervnc 1.5.0

=== debian/changelog ===
tigervnc (1.5.0-1~nd+1) sid; urgency=low

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 29 Jul 2015 13:39:27 -0400

tigervnc (1.5.0-1) UNRELEASED; urgency=medium

  * Fresh upstream
  * debian/patchdir
    - dropped 0001-xorg-fix-glx-compile.patch (underlying sources are gone)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Jul 2015 15:56:52 -0400

tigervnc (1.4.90-1) UNRELEASED; urgency=medium

  * Fresh upstream version
  * debian/rules
    - use xserver117.patch
  * debian/patchdir
    - few patches dropped and some updated
  * debian/control
    - require fltk >= 1.3.3

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Jul 2015 10:28:49 -0400

tigervnc (1.4.3-1) UNRELEASED; urgency=medium

  * Switch to upstream version 1.4.3 of tigervnc

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 24 May 2015 23:25:35 +0200

tigervnc (1.4.1-2) UNRELEASED; urgency=medium

  * Try to be more compatible with tightvncserver and vnc4server regarding
    registered alternatives

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 24 May 2015 21:57:42 +0200

tigervnc (1.4.1-1) UNRELEASED; urgency=medium

  * Switch to upstream version 1.4.1 of tigervnc

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 03 Jan 2015 06:47:29 +0100

tigervnc (1.3.1-1) UNRELEASED; urgency=medium

  [ Matthias Klose ]
  * Updated packaging for TigerVNC 1.3.1
  * debian/control
    - boost policy compliance to 3.9.5
    - build-depend on libfltk1.3-dev (with patch to avoid searching
      for it) and xserver-xorg-dev
  * debian/rules
    - use dpkg-buildflags for *FLAGS
    - include /usr/share/xserver-xorg/configure_flags.mk and use
      it for xorg configure flags (after some filtering)
  * debian/patchdir
    - many patches updated, some removed, and bulk added

  [ Yaroslav Halchenko ]
  * Second re-upload to Debian proper (Closes: #650394)
  * debian/gbp.conf
    - filter out contrib/packages which now carries copies of xorg-server
    - use pristine-tar
  * debian/rules
    - adjust for configure_flags.mk shipped in Debian xorg 2:1.16.0-2
  * debian/copyright
    - removed obsolete section on xorg-server and adjusted years for TigerVNC
      copyright
  * debian/control
    - build-depend on versioned libgnutls28-dev due to conflicts (see #731175)
    - added libepoxy-dev to build-depends
  * debian/patchdir/xserver116.patch
    - xserver114.patch updated to be compatible with xserver-xorg 1.16

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Sep 2014 16:08:45 -0400

tigervnc (1.3.0+X1.15.0-1) unstable; urgency=low

  * debian/{control,rules}
    - Use xorg-server-source source package instead of a convenience
      git submodule of xorg-server

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Jan 2014 15:11:13 -0500

tigervnc (1.2.0+X1.12.4-1) neurodebian; urgency=low

  [ Joachim Falk ]
  * Updated xorg-server to 2:1.12.4-5
  * Support new git wich uses a .git file for submodules instead of .git
    directory
  * Switched to using --create-empty-orig instead of empty pristine-tar
  * debian/README.source
    - Fixed wrong description of tigervnc_<tigervnc-version>+X<xorg-version>.orig.tar.gz

  [ Yaroslav Halchenko ]
  * debian/copyright:
    - Extended to include missing entries
  * debian/README.source
    - Listed the reason to ship/use FLTK library

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Mar 2013 09:14:23 -0400
