=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Joachim Falk <joachim.falk@gmx.de>
+X-Original-Maintainer: TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>
 Uploaders:
+ Joachim Falk <joachim.falk@gmx.de>,
  Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
  Yaroslav Halchenko <debian@onerussian.com>
 # all the Build-Depends up to x11proto-xf86-dri-dev are for the normal Xorg
@@ -19,11 +20,14 @@
  gettext,
  zlib1g-dev,
  libjpeg-dev,
- libgnutls-dev,
+ libgnutls28-dev,
  libpam0g-dev,
  libxft-dev,
  libxcursor-dev,
  libwrap0-dev,
+ libfltk1.3-dev (>= 1.3.3),
+ xorg-server-source,
+ xserver-xorg-dev,
 # this are dependencies from xorg deb
  debhelper (>= 8),
  quilt,
@@ -95,7 +99,8 @@
  x11-xkb-utils,
 # getpeereid()
  libbsd-dev [kfreebsd-any],
-Standards-Version: 3.9.3
+ libepoxy-dev [linux-any kfreebsd-any],
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-tigervnc/pkg-tigervnc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-tigervnc/pkg-tigervnc.git 
 Homepage: http://www.tigervnc.org
