=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,19 @@
 #export DH_VERBOSE=1
 
 # Where the tigervnc sources are
-DEB_SRCDIR   = tigervnc
+DEB_SRCDIR   = .
 # Don't override DEB_BUILDDIR as /usr/share/cdbs/1/class/cmake.mk does not
 # support this
 ## Where to built tigervnc
 #DEB_BUILDDIR = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
 
+VNC_PATCH = $(CURDIR)/unix/xserver117.patch
+
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
 
 # Do our complex patch dance first! After that quilt patch system can proceed!
-clean:: unpatch clean-xorg
+clean:: unpatch
 unpatch: reverse-patches-dance
 apply-patches: apply-patches-dance
 reverse-patches-dance: reverse-patches
@@ -33,30 +35,19 @@
 
 DEB_CMAKE_INSTALL_PREFIX  = /usr
 DEB_CMAKE_EXTRA_FLAGS     += -DUSE_INCLUDED_ZLIB:BOOL=OFF
-# The FLTK in debian is either too old (squeeze) or is missing some extension patches (wheezy)
-# required by TigerVNC, i.e., http://www.fltk.org/strfiles/2599/fltk-1.3.x-keyboard-x11.patch.
-# Maybe some more patches are missing. I have not checked further.
-DEB_CMAKE_EXTRA_FLAGS     += -DUSE_INCLUDED_FLTK:BOOL=ON
 DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_LIBWRAP:BOOL=ON
 DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_NLS:BOOL=ON
 DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_GNUTLS:BOOL=ON
 DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_PAM:BOOL=ON
 
-# rawr paranoia
-CFLAGS   += -Wall -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security
-CXXFLAGS += -Wall -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security
-CPPFLAGS += -D_FORTIFY_SOURCE=2
-LDFLAGS  += -Wl,-z,relro
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS   += -O0
-	CXXFLAGS += -O0
-else
-	CFLAGS   += -O3 -DNDEBUG
-	CXXFLAGS += -O3 -DNDEBUG
-endif
+CFLAGS   += $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS  += $(shell dpkg-buildflags --get LDFLAGS)
+
 # We need that as /usr/share/cdbs/1/class/cmake.mk is buggy and does not use the :STRING qualifier
-DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_C_FLAGS:STRING="$(CPPFLAGS) $(CFLAGS)"
-DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_CXX_FLAGS:STRING="$(CPPFLAGS) $(CXXFLAGS)"
+DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_C_FLAGS:STRING="$(CPPFLAGS) $(CFLAGS) -fPIC"
+DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_CXX_FLAGS:STRING="$(CPPFLAGS) $(CXXFLAGS) -fPIC"
 DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)"
 DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)"
 
@@ -102,7 +93,7 @@
 
 apply-patches-dance: apply-patches-vnc-patch-xorg
 apply-patches-vnc-patch-xorg: apply-patches-unify-xorg-and-vnc-tree
-apply-patches-unify-xorg-and-vnc-tree: apply-patches-xorg
+apply-patches-unify-xorg-and-vnc-tree:
 
 reverse-patches-dance: reverse-patches-xorg
 reverse-patches-xorg: reverse-patches-remove-xorg-from-vnc-tree
@@ -131,15 +122,15 @@
 
 apply-patches-vnc-patch-xorg: $(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp
 
-$(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp: debian/xserver.patch
+$(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp: $(VNC_PATCH)
 	cd $(DEB_SRCDIR)/unix/xserver && { \
-		patch --no-backup-if-mismatch -p1 < ../../../debian/xserver.patch && \
+		patch --no-backup-if-mismatch -p1 < $(VNC_PATCH) && \
 		touch .apply-patches-vnc-patch-xorg.stamp; \
 	}
 
-reverse-patches-vnc-unpatch-xorg: debian/xserver.patch
+reverse-patches-vnc-unpatch-xorg: $(VNC_PATCH)
 	cd $(DEB_SRCDIR)/unix/xserver && if test -f .apply-patches-vnc-patch-xorg.stamp; then \
-		patch --no-backup-if-mismatch -R -p1 < ../../../debian/xserver.patch; \
+		patch --no-backup-if-mismatch -R -p1 < $(VNC_PATCH); \
 		rm -f .apply-patches-vnc-patch-xorg.stamp; \
 	fi
 
@@ -148,44 +139,75 @@
 apply-patches-unify-xorg-and-vnc-tree: $(DEB_SRCDIR)/unix/xserver/.apply-patches-unify-xorg-and-vnc-tree.stamp
 
 $(DEB_SRCDIR)/unix/xserver/.apply-patches-unify-xorg-and-vnc-tree.stamp:
-	cd $(DEB_SRCDIR)/unix/xserver && { \
-		lndir ../../../xorg-server . && \
-		find -type l > .apply-patches-unify-xorg-and-vnc-tree.stamp; \
-	}
+	cd $(DEB_SRCDIR)/unix/xserver && \
+	  { tar --strip-components 1 -xvJf /usr/src/xorg-server.tar.xz | \
+	      sed -e 's@^[^/]*/@@' > .apply-patches-unify-xorg-and-vnc-tree.files; } && \
+	  touch .apply-patches-unify-xorg-and-vnc-tree.stamp
 
 reverse-patches-remove-xorg-from-vnc-tree:
-	cd $(DEB_SRCDIR)/unix/xserver && if test -f .apply-patches-unify-xorg-and-vnc-tree.stamp; then \
-		xargs rm -f < .apply-patches-unify-xorg-and-vnc-tree.stamp; \
-		find -name ".svn" -prune -o -type d -print | sort -r | xargs rmdir; \
-		rm -f .apply-patches-unify-xorg-and-vnc-tree.stamp; \
-	fi
-
-.PHONY: apply-patches-xorg reverse-patches-xorg clean-xorg
-
-apply-patches-xorg:
-	cd $(CURDIR)/xorg-server && chmod a+x debian/rules && \
-	  debian/rules stampdir/stampdir && debian/rules patch
-
-reverse-patches-xorg:
-	cd $(CURDIR)/xorg-server && chmod a+x debian/rules && debian/rules unpatch
-
-clean-xorg:
-	cd $(CURDIR)/xorg-server && chmod a+x debian/rules && debian/rules clean
-
-$(DEB_BUILDDIR)/unix/xserver/debian/confflags:
-	mkdir -p $(dir $@)
-	( cd $(DEB_SRCDIR)/unix/xserver && chmod a+x debian/rules && debian/rules echo_confflags ) | \
-	  sed -ne '/^CONFFLAGS:/{s/^[^:]*:\s*//;p}' > $@
+	cd $(DEB_SRCDIR)/unix/xserver && \
+		if test -f .apply-patches-unify-xorg-and-vnc-tree.files; then \
+			sort -r < .apply-patches-unify-xorg-and-vnc-tree.files | \
+				while read line; do \
+					if test -d "$$line"; then \
+						rmdir "$$line"; \
+					else \
+						rm -f "$$line"; \
+					fi; \
+				done; \
+			rm -f .apply-patches-unify-xorg-and-vnc-tree.stamp \
+			      .apply-patches-unify-xorg-and-vnc-tree.files; \
+		fi
 
 configure/tigervnc-standalone-server configure/tigervnc-xorg-extension:: $(DEB_BUILDDIR)/unix/xserver/configure.stamp
 
-XORG_DEBIAN_CONFIGURE_FLAGS = $(shell cat $(DEB_BUILDDIR)/unix/xserver/debian/confflags)
+include /usr/share/xserver-xorg/configure_flags.mk
+
+xserver_confflags := $(shell echo '$(xserver_confflags)' | sed 's/--with-builderstring="[^"]*"//')
+XORG_DEBIAN_CONFIGURE_FLAGS = \
+	$(filter-out \
+		--prefix=% \
+		--mandir=% \
+		--infodir=% \
+		--sysconfdir=% \
+		--localstatedir=% \
+		--build=% \
+		--host=% \
+		--enable-xwayland \
+		--enable-xfbdev \
+		--enable-dmx \
+		--enable-xvfb \
+		--enable-xnest \
+		--enable-xephyr \
+		--enable-xorg \
+		--enable-dri \
+		--enable-dri2 \
+		--enable-xmir \
+	    , $(xserver_confflags) \
+	)
 
 # Next step is run configure script. It is very difficult use correct parameters.
 # You should use same parameters as used in your distribution X server and add
 # --disable-xvfb --disable-xnest --disable-xorg
-$(DEB_BUILDDIR)/unix/xserver/configure.stamp: $(DEB_BUILDDIR)/unix/xserver/debian/confflags
+$(DEB_BUILDDIR)/unix/xserver/configure.stamp:
 	mkdir -p $(DEB_BUILDDIR)/unix/xserver
 	cd $(DEB_BUILDDIR)/unix/xserver && \
-	  $(DEB_CONFIGURE_SCRIPT_ENV) ../../../tigervnc/unix/xserver/configure \
+	  $(DEB_CONFIGURE_SCRIPT_ENV) $(CURDIR)/$(DEB_SRCDIR)/unix/xserver/configure \
 		CPPFLAGS="$(CPPFLAGS)" \
+		CFLAGS="$(CFLAGS)" \
+		CXXFLAGS="$(CXXFLAGS)" \
+		LDFLAGS="$(LDFLAGS) -lpam" \
+		--prefix=/usr \
+		--mandir=\$${prefix}/share/man \
+		--infodir=\$${prefix}/share/info \
+		--sysconfdir=/etc \
+		--localstatedir=/var \
+		$(XORG_DEBIAN_CONFIGURE_FLAGS) \
+		$(DEB_CONFIGURE_EXTRA_FLAGS) \
+		--disable-selective-werror \
+		--with-builderstring="tigervnc-xorg-server $(NO_EPOCH_VER) (TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>)" \
+		--disable-xwayland \
+		--disable-xfbdev \
+		--disable-dmx \
+		--disable-xvfb \
+		--disable-xnest \
